#pragma once

#include "CoreMinimal.h"
#include "LobbySidePanelButtonViewData.h"
#include "ELobbySidePanelButtonId.h"
#include "TimerFlagViewData.h"
#include "LobbySidePanelViewData.generated.h"

USTRUCT(BlueprintType)
struct FLobbySidePanelViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TMap<ELobbySidePanelButtonId, FLobbySidePanelButtonViewData> ButtonData;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool UseUiTakeover;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool StoreHasSale;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool StoreHasNewItem;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FTimerFlagViewData StoreSaleTimerData;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool StoreHasLimitedItem;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FTimerFlagViewData StoreLimitedItemTimerData;

public:
	DBDUIVIEWINTERFACES_API FLobbySidePanelViewData();
};

FORCEINLINE uint32 GetTypeHash(const FLobbySidePanelViewData) { return 0; }
